Bug 51757 - fdisk hangs waiting on I/O
fdisk hangs waiting on I/O
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-14 16:10 EDT by Bryan Leopard
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-08-14 16:10:25 EDT
If there is I/O to drive(s) on a controller and fdisk is run on ANOTHER 
controller, the fdisk will hang until all I/O has completed or been 
killed. The fdisk will then complete, but the keyboard may not respond 


QLogic 1280 w/2 9.1GB SCSI disks: sda & sdb
Adaptec (Poseidon) w/2 9.1GB SCSI disks: sdc & sdd

# dd if=/dev/zero of=/dev/sda bs=64k &
# dd if=/dev/zero of=/dev/sdb bs=64k &

# fdisk /dev/sdc

Create a new partition on sdc. After selecting "w" to write the new 
partition table fdisk will hang after displaying the message:
	Calling ioctl() to re-read the partition table.

ps aux shows fdisk blocked waiting on I/O. It will hang there until the 
dd's on the other controller complete or are killed.
After killing the dd's the keyboard may not respond for several minutes, 
or may not come back at all. After using ssh to remotely login, the 
following lines were noted in dmesg:

keyboard: Timeout - AT keyboard not present?
keyboard: Timeout - AT keyboard not present?
keyboard: Timeout - AT keyboard not present?
keyboard: Timeout - AT keyboard not present?
keyboard: Timeout - AT keyboard not present?

The system required a reboot to recover.
When trying the same test using parted, parted complained that it did not 
recognize the disk label "/dev/sdc". The keyboard also quit responding 
during this test.

ia32 systems do NOT exhibit this behavior.
Comment 1 Glen Foster 2001-08-15 15:54:27 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 2 Bill Nottingham 2001-08-16 00:29:18 EDT
What's your root partition for this?
Comment 3 Bill Nottingham 2001-08-16 00:36:37 EDT
Also, do you have quotas enabled?
Comment 4 Mike Miller 2001-11-14 17:37:30 EST
My root partition was on an array controller.
No quotas have been set.
Comment 5 Bugzilla owner 2004-09-30 11:39:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.